function acc=rpm_test(data,net)

n = size(net,2);

distance=@(x1,x2)dEuclid(x1,x2);
rank = zeros(data.vectors,data.classInfo.labelsCount);
%labels = zeros(data.vectors,1);


for v =1:data.vectors 
    
    for i = 1:n
        np=size(net{i}.p,1);
        xx = data.x(v,:)*net{i}.w';
        [Y I]=min(distance(net{i}.p(:,1:end-1),xx(ones(np,1))),[],1);  % choose the winner
        li = find(net{i}.p(I,end) == data.classInfo.labels);
        rank(v,li) = rank(v,li) + 1;
    end
end
[a labelsId] = max(rank,[],2);

diff = data.classInfo.labels(labelsId) == data.y';
acc=sum(diff)/data.vectors;
