%% Dodaje katalogi do Matlaba.

pwdpath=pwd;
addtopath={ '', ...
    'functions',...
    'data-generators',...
    'data-tools' ,...
    'ml-tools' ,...
    'plots' ,...
    'plots-generators' ,...
    'runtest' ,...
    'tests' };

for i=1:length(addtopath)
    newpath = strcat(pwdpath,'/',addtopath{i});
    
    if ispc
        % ukosniki w druga strone
        newpath(newpath=='/')='\';
    end
    
    if isempty(regexp(path,newpath, 'once'));
        addpath(newpath,'-BEGIN');
        fprintf('Adding %s\n',newpath);
    else
        fprintf('%s already in Matlab path\n',newpath);
    end
end





